> For the complete documentation index, see [llms.txt](https://docs.luciq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luciq.ai/references/bug-reporting/report-character-count.md).

# Minimum Report Character Count

Using the API below, you can set the minimum number of characters your user can input within the comment field whenever our SDK is invoked. This API takes the report type and an integer limit as its parameters.

**Method**

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
//Report types are optional
BugReporting.setCommentMinimumCharacterCountForReportTypes([.bug, .feedback, .question], withLimit:3)
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
//Report types are optional
[LCQBugReporting setCommentMinimumCharacterCountForReportTypes:LCQBugReportingReportTypeBug | LCQBugReportingReportTypeFeedback | LCQBugReportingReportTypeQuestion withLimit:3];
```

{% endtab %}

{% tab title="And - Java" %}

```java
BugReporting.setCommentMinimumCharacterCount(20, ReportType.BUG, ReportType.FEEDBACK, ReportType.QUESTION);
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
BugReporting.setCommentMinimumCharacterCount(20, ReportType.BUG, ReportType.FEEDBACK, ReportType.QUESTION)
```

{% endtab %}

{% tab title="RN" %}

```javascript
// All report types
BugReporting.setCommentMinimumCharacterCount(20);

// Specific reports
BugReporting.setCommentMinimumCharacterCount(20, [
   BugReporting.reportType.bug,
   BugReporting.reportType.feedback,
   BugReporting.reportType.question
]);
```

{% endtab %}

{% tab title="Flutter" %}

```dart
// For all report types
BugReporting.setCommentMinimumCharacterCount(20);

// For specific report types
BugReporting.setCommentMinimumCharacterCount(20, [ReportType.bug, ReportType.feedback, ReportType.question]);
```

{% endtab %}
{% endtabs %}

**Report Type Parameters**

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
.bug
.feedback
.question
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
LCQBugReportingReportTypeBug
LCQBugReportingReportTypeFeedback
LCQBugReportingReportTypeQuestion
```

{% endtab %}

{% tab title="Android" %}

```java
ReportType.BUG
ReportType.FEEDBACK
ReportType.QUESTION
```

{% endtab %}

{% tab title="RN" %}

```javascript
BugReporting.reportType.bug
BugReporting.reportType.feedback
BugReporting.reportType.question
```

{% endtab %}

{% tab title="Flutter" %}

```dart
ReportType.bug
ReportType.feedback
ReportType.question
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.luciq.ai/references/bug-reporting/report-character-count.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
